#pragma once
#include <string>

class sceneManager
{
public:
    static sceneManager& Get()
    {
        static sceneManager instance;
        return instance;
    }

    sceneManager(sceneManager const&) = delete;
    void operator=(sceneManager const&) = delete;

    void SetSceneFilePath(const std::string& path) { m_sceneFilePath = path; }
    void SetSceneFileName(const std::string& name) { m_sceneFileName = name; }

    bool SaveScene()
    {
        // Implement the save scene logic here
        return true;
    }

    bool LoadScene()
    {

        
        // Implement the load scene logic here
        return true;
    }

private:
    sceneManager() = default;
    ~sceneManager() = default;

    // Scene file path
    std::string m_sceneFilePath;
    std::string m_sceneFileName;
};